Package org.jfree.layouting.input.swing.converter

## Class ParagraphConverter

- java.lang.Object
- - org.jfree.layouting.input.swing.converter.ParagraphConverter

- All Implemented Interfaces:
    `Converter`

      public class ParagraphConverter
      extends java.lang.Object
      implements Converter

  This class handles convertions of paragraph style attributes to css style attributes.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParagraphConverter​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ConverterAttributeSet` | `convertToCSS​(java.lang.Object key, java.lang.Object value, ConverterAttributeSet cssAttr, javax.swing.text.Element context)` | Converts a style key and a style value to a CSS compatible style key and style value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParagraphConverter

          public ParagraphConverter​()

  - ### Method Detail

    - #### convertToCSS

          public ConverterAttributeSet convertToCSS​(java.lang.Object key,
                                                    java.lang.Object value,
                                                    ConverterAttributeSet cssAttr,
                                                    javax.swing.text.Element context)

      Converts a style key and a style value to a CSS compatible style key and style value. A conversion can result in more than one key and value.
      Specified by:
        `convertToCSS` in interface `Converter`
      Parameters:
        `key` - The style key to convert.
        `value` - The style value to convert.
        `cssAttr` - The current converted CSS attributes for the current element.
        `context` - The current Element.
      Returns:
        The conversion result or null if no converstion has been done.